package com.bonus.canteen.core.supply.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class DrpOrderGoodsDetailVO {
   @ApiModelProperty("采购订单明细id")
   @TableId
   private Long orderGoodsDetailId;
   @ApiModelProperty("采购订单号")
   private String orderGoodsId;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("货品")
   private String materialName;
   @ApiModelProperty("类别id")
   private Long categoryId;
   @ApiModelProperty("类别")
   private String categoryName;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("单位")
   private String unitName;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("采购订单数量")
   private BigDecimal orderNum;
   @ApiModelProperty("单价")
   private Integer singlePrice;
   @ApiModelProperty("总金额")
   private Integer totalPrice;
   @ApiModelProperty("图片")
   private String imageUrl;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("入库数量")
   private BigDecimal intoNum;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("档口名称")
   private String stallName;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getOrderGoodsDetailId() {
      return this.orderGoodsDetailId;
   }

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public String getSize() {
      return this.size;
   }

   public BigDecimal getOrderNum() {
      return this.orderNum;
   }

   public Integer getSinglePrice() {
      return this.singlePrice;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public String getRemark() {
      return this.remark;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public BigDecimal getIntoNum() {
      return this.intoNum;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getStallName() {
      return this.stallName;
   }

   public void setOrderGoodsDetailId(final Long orderGoodsDetailId) {
      this.orderGoodsDetailId = orderGoodsDetailId;
   }

   public void setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setOrderNum(final BigDecimal orderNum) {
      this.orderNum = orderNum;
   }

   public void setSinglePrice(final Integer singlePrice) {
      this.singlePrice = singlePrice;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setIntoNum(final BigDecimal intoNum) {
      this.intoNum = intoNum;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }


   public String toString() {
      Long var10000 = this.getOrderGoodsDetailId();
      return "DrpOrderGoodsDetailVO(orderGoodsDetailId=" + var10000 + ", orderGoodsId=" + this.getOrderGoodsId() + ", materialId=" + this.getMaterialId() + ", materialCode=" + this.getMaterialCode() + ", materialName=" + this.getMaterialName() + ", categoryId=" + this.getCategoryId() + ", categoryName=" + this.getCategoryName() + ", unitId=" + this.getUnitId() + ", unitName=" + this.getUnitName() + ", size=" + this.getSize() + ", orderNum=" + String.valueOf(this.getOrderNum()) + ", singlePrice=" + this.getSinglePrice() + ", totalPrice=" + this.getTotalPrice() + ", imageUrl=" + this.getImageUrl() + ", remark=" + this.getRemark() + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ", intoNum=" + String.valueOf(this.getIntoNum()) + ", stallId=" + this.getStallId() + ", stallName=" + this.getStallName() + ")";
   }
}
